#!/bin/sh

# Get first user uid:
# we assume this is the user with minimum UID and following conditions:
# - shell path doesn't end with 'bin/nologin';
# - shell path doesn't with 'bin/false';
# - shell is not '/dev/null';
# - GID != 0.
first_uid="$(getent passwd | awk -F: '!match($7,/bin\/nologin$/) && \
    !match($7,/bin\/false$/) && \
    ($7!="/dev/null") && \
    ($4>0) \
    {print $3}' | sort -n | head -1)"

if [ -f ~/.config/user-dirs.dirs ] && [ -n "$first_uid" ] && [ "$UID" -eq "$first_uid" ]; then
	. ~/.config/user-dirs.dirs
	if [ ! -f "$XDG_DESKTOP_DIR"/livecd-install.desktop ]; then
		cp /usr/share/applications/livecd-install.desktop "$XDG_DESKTOP_DIR"/
		chmod +x "$XDG_DESKTOP_DIR"/livecd-install.desktop
		gio set "$XDG_DESKTOP_DIR"/livecd-install.desktop "metadata::trusted:" yes
		gio set "$XDG_DESKTOP_DIR"/livecd-install.desktop "metadata::xfce-exe-checksum" $(sha256sum "$XDG_DESKTOP_DIR"/livecd-install.desktop | cut -f1 -d ' ')
		gio set "$XDG_DESKTOP_DIR"/livecd-install.desktop "metadata::trust" true
	fi
fi
