#!/bin/sh -u

#     DESCRIPTION
#
#	Disable PrivateTmp in the systemd unit files.
#	It can cause undesired effects after mount/unmount
#

. livecd-functions

SYSTEMCTL=/bin/systemctl
SYSTEMD_SERVICE_DIR=/lib/systemd/system
SYSTEMD_CGROUP_DIR=/sys/fs/cgroup/systemd

# Is systemd active?
[ -x "$SYSTEMCTL" -a -d "$SYSTEMD_CGROUP_DIR" ] &&
			mountpoint -q "$SYSTEMD_CGROUP_DIR" ||
			exit 0

units_list="$(grep -ls '^[[:blank:]]*PrivateTmp' "$SYSTEMD_SERVICE_DIR"/*.* | tr '\n' ' ')"

# restarting systemd-logind restarts the DE session based on logind (gnome3, KDE5, lxqt)
units_list=$(echo "$units_list" | sed 's:/lib/systemd/system/systemd-logind.service::')

[ -n "$units_list" ] || exit 0

sed -i 's/^[[:blank:]]*PrivateTmp/#PrivateTmp/' $units_list

$SYSTEMCTL daemon-reload

for s in $units_list; do
	$SYSTEMCTL try-restart "${s##*/}"
done

exit 0
