#!/bin/sh -efu

#     DESCRIPTION
#
#   Restore default GDM/lightdm config. Turn off autologin settings.
#

. livecd-functions

# Disable GDM autologin
conf=/etc/X11/gdm/custom.conf
if [ -f "$destdir/$conf" ]; then
	verbose "Restore default GDM config"
	exec_chroot subst 's/AutomaticLogin/#AutomaticLogin/g' "$conf" &>/dev/null
fi

# Disable lightdm autologin
conf=/etc/lightdm/lightdm.conf
if [ -f "$destdir/$conf" ]; then
	verbose "Restore default lightdm config"
	exec_chroot subst 's/^autologin-user=/#autologin-user=/g' "$conf" &>/dev/null
	exec_chroot subst 's/^autologin-user-timeout=/#autologin-user-timeout=/g' "$conf" &>/dev/null
fi

exit 0
