#!/bin/sh -efu

#     DESCRIPTION
#
#   Save: timezone, NTP configs
#
#   XXX: save dhcpcd config
#

. livecd-functions
. alterator-service-functions

save="/etc/sysconfig/clock"
save="${save} /etc/ntpd.conf"
save="${save} /etc/ntp.conf"
save="${save} /etc/localtime"

for i in $save; do
    if [ -r "$i" ]; then
        verbose "Save: $i"
        mkdir -p "$target_dir/$(dirname "$i")"
        cp -a -f "$i" "$target_dir/$i"
    else
        verbose "Missing: $i"
    fi
done

##
# Save ntpd service status.
#
if service_exists ntpd && service_control ntpd is-enabled; then
	# Use chkconfig directly in the chroot:
	# it should do the right thing it both systemd and sysvinit cases.
        exec_chroot "/sbin/chkconfig" --add 'ntpd'
        exec_chroot "/sbin/chkconfig" 'ntpd' 'on'
fi

if [ -f "/etc/control.d/facilities/ntpd" ]; then
    local mode="$(control ntpd 2>/dev/null)"
    if [ -n "$mode" ]; then
        exec_chroot "/usr/sbin/control" ntpd "$mode" client >/dev/null 2>/dev/null
    fi
fi

exit 0
